# antiroachlol

## Building server binary

```
# You need golang...
CGO_ENABLED=0 go build ./...
```
## Building docker

```
docker build -t antiroachlol
docker tag antiroachlol your.docker.endpoint.here/name
docker push your.docker.endpoint.here/name

```
## Building kubernetes

Edit `antiroach.yml` to match the docker name and desired replicas you put above and then apply it

```
kubectl apply -f antiroach.yml
```

## Run with proxy

```
ALL_PROXY=socks5://localhost:1243 ./swarm
```
